%define 	LIB_MAJOR 0
%define 	LIB_MINOR 7
%define 	LIB_REL 6
Summary: 	A security tool which acts as a wrapper for TCP daemons.
Name: 		tcp_wrappers
Version: 	7.6
Release: 	2
Copyright: 	Distributable
Group: 		Libraries
Source: 	tcp_wrappers_7.6.tar.gz
Patch0: 	tcpw7.2-config.patch
Patch1: 	tcpw7.2-setenv.patch
Patch2: 	tcpw7.6-netgroup.patch
Patch3: 	tcp_wrappers-7.6-bug11881.patch
Patch4: 	tcp_wrappers-7.6-bug17795.patch
Patch5: 	tcp_wrappers-7.6-bug17847.patch
Patch6: 	tcp_wrappers-7.6-fixgethostbyname.patch
Patch7: 	tcp_wrappers-7.6-docu.patch
Patch9: 	tcp_wrappers.usagi-ipv6.patch
Patch10: 	tcp_wrappers.ume-ipv6.patch
Patch11: 	tcp_wrappers-7.6-shared.patch
Patch12: 	tcp_wrappers-7.6-sig.patch
Patch13: 	tcp_wrappers-7.6-strerror.patch
Patch14: 	tcp_wrappers-7.6-ldflags.patch
Patch15: 	tcp_wrappers-7.6-fix_sig-bug141110.patch
Patch16: 	tcp_wrappers-7.6-162412.patch
BuildRoot: 	%{_tmppath}/%{name}-root

%description
The tcp_wrappers package provides small daemon programs which can
monitor and filter incoming requests for systat, finger, FTP, telnet,
rlogin, rsh, exec, tftp, talk and other network services.

Install the tcp_wrappers program if you need a security tool for
filtering incoming network services requests.

%package 	devel
Summary:	tcp_wrappers headers and documentation
Group:		Development

%description 	devel
Headers and documentation for tcp_wrappers.

%prep
%setup -q -n tcp_wrappers_7.6
%patch0 -p1 -b .config
%patch1 -p1 -b .setenv
%patch2 -p1 -b .netgroup
%patch3 -p1 -b .bug11881
%patch4 -p1 -b .bug17795
%patch5 -p1 -b .bug17847
%patch6 -p1 -b .fixgethostbyname
%patch7 -p1 -b .docu
%patch9 -p0 -b .usagi-ipv6
%patch10 -p1 -b .ume-ipv6
%patch11 -p1 -b .shared
%patch12 -p1 -b .sig
%patch13 -p1 -b .strerror
%patch14 -p1 -b .cflags
%patch15 -p1 -b .fix_sig
%patch16 -p1 -b .162412

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fPIC -DPIC -D_REENTRANT -DHAVE_STRERROR" LDFLAGS="-pie" MAJOR=%{LIB_MAJOR} MINOR=%{LIB_MINOR} REL=%{LIB_REL} linux

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_includedir}
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man{3,5,8}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}

cp hosts_access.3 ${RPM_BUILD_ROOT}%{_mandir}/man3
cp hosts_access.5 hosts_options.5 ${RPM_BUILD_ROOT}%{_mandir}/man5
cp tcpd.8 tcpdchk.8 tcpdmatch.8 ${RPM_BUILD_ROOT}%{_mandir}/man8
ln -sf hosts_access.5 ${RPM_BUILD_ROOT}%{_mandir}/man5/hosts.allow.5
ln -sf hosts_access.5 ${RPM_BUILD_ROOT}%{_mandir}/man5/hosts.deny.5
cp -a libwrap.a ${RPM_BUILD_ROOT}%{_libdir}
cp -a libwrap.so* ${RPM_BUILD_ROOT}%{_libdir}
cp tcpd.h ${RPM_BUILD_ROOT}%{_includedir}
install -m755 safe_finger ${RPM_BUILD_ROOT}%{_sbindir}
install -m711 tcpd ${RPM_BUILD_ROOT}%{_sbindir}
install -m755 try-from ${RPM_BUILD_ROOT}%{_sbindir}
rm -f ${RPM_BUILD_ROOT}%{_mandir}/man8/tcpdmatch.*
rm -f ${RPM_BUILD_ROOT}%{_mandir}/man8/tcpdchk.*

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_sbindir}
%{_mandir}

%files devel
%{_libdir}/*.a
%{_includedir}
